/* -*- Mode: c++ -*- */

/*
 *Copyright:

 Copyright (C) 2002, 2003 Patrick Riley
 Copyright (C) 2001 Patrick Riley and Emil Talpes

 This file is part of the SPADES simulation system.

 The SPADES simulation system is free software; you can
 redistribute it and/or modify it under the terms of the GNU Lesser
 General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option)
 any later version.

 The SPADES simulation system is distributed in the hope that it
 will be useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with the SPADES simulation system; if not, write to
 the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 Boston, MA 02111-1307 USA

 *EndCopyright:
*/

#ifndef XML_LOGGER_CHANNELS_H_
#define XML_LOGGER_CHANNELS_H_

#include "Logger.hpp"

namespace spades
{

#define XLC spades::XMLLoggerChannels::instance()
  
  class XMLLoggerChannels
  {
  public:
    //This is a Singleton, you should only construct via instance()
    ~XMLLoggerChannels ();

    Logger::ChannelID xml() const { return cid_xml;}
    
  private:
    Logger::ChannelID cid_xml;
    
  public:
    static XMLLoggerChannels* instance();
  
  private:
    /* this is private so that the instance method is the only one that can allocate */
    XMLLoggerChannels ();
  
    static XMLLoggerChannels* s_instance;

  };

}

#endif
